org.eclipse.emf.cdo.common.protocol

## Interface CDODataInput

- All Superinterfaces:
    java.io.DataInput, ExtendedDataInput
  All Known Implementing Classes:
    CDODataInputImpl, CDODataInputImpl.Default

      public interface CDODataInput
      extends ExtendedDataInput

  Provides I/O methods for reading various CDO data types and concepts from streams.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

      `ExtendedDataInput.Delegating, ExtendedDataInput.Stream`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOPackageRegistry` | `getPackageRegistry()`
    `CDOBranch` | `readCDOBranch()`
    `CDOBranchPoint` | `readCDOBranchPoint()`
    `CDOBranchVersion` | `readCDOBranchVersion()`
    `CDOChangeSetData` | `readCDOChangeSetData()`
    `CDOClassifierRef` | `readCDOClassifierRef()`
    `EClassifier` | `readCDOClassifierRefAndResolve()`
    `CDOCommitData` | `readCDOCommitData()`
    `CDOCommitInfo` | `readCDOCommitInfo()`
    `CDOFeatureDelta` | `readCDOFeatureDelta(EClass owner)`
    `java.lang.Object` | `readCDOFeatureValue(EStructuralFeature feature)`
    `CDOID` | `readCDOID()`
    `CDOIDAndBranch` | `readCDOIDAndBranch()`
    `CDOIDAndVersion` | `readCDOIDAndVersion()`
    `CDOIDReference` | `readCDOIDReference()`
    `CDOList` | `readCDOList(EClass owner, EStructuralFeature feature)`
    `IDurableLockingManager.LockArea` | `readCDOLockArea()`
    `CDOLockChangeInfo` | `readCDOLockChangeInfo()`
    `CDOLockOwner` | `readCDOLockOwner()`
    `CDOLockState` | `readCDOLockState()`
    `IRWLockManager.LockType` | `readCDOLockType()`
    `CDOPackageInfo` | `readCDOPackageInfo()`
    `CDOPackageUnit` | `readCDOPackageUnit(ResourceSet resourceSet)`
    `CDOPackageUnit[]` | `readCDOPackageUnits(ResourceSet resourceSet)`
    `CDOPackageUnit.Type` | `readCDOPackageUnitType()`
    `java.lang.String` | `readCDOPackageURI()`
    `CDORevisable` | `readCDORevisable()`
    `CDORevision` | `readCDORevision()`
    `CDORevision` | `readCDORevision(boolean freeze)`
    `CDORevisionDelta` | `readCDORevisionDelta()`
    `CDORevisionKey` | `readCDORevisionKey()`
    `java.lang.Object` | `readCDORevisionOrPrimitive()` Read either a CDORevision or a primitive value.
    `java.lang.Object` | `readCDORevisionOrPrimitiveOrClassifier()` Read either a CDORevision, a primitive value or a EClass.
    `CDOType` | `readCDOType()`
    `int` | `readXInt()`
    `long` | `readXLong()`

    - ### Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

      `readByteArray, readEnum, readException, readObject, readObject, readObject, readString, readVarInt, readVarLong`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

- - ### Method Detail

    - #### readXInt

          int readXInt()
                throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.6

    - #### readXLong

          long readXLong()
                  throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.6

    - #### readCDOPackageUnit

          CDOPackageUnit readCDOPackageUnit(ResourceSet resourceSet)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOPackageUnits

          CDOPackageUnit[] readCDOPackageUnits(ResourceSet resourceSet)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOPackageUnitType

          CDOPackageUnit.Type readCDOPackageUnitType()
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOPackageInfo

          CDOPackageInfo readCDOPackageInfo()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOClassifierRef

          CDOClassifierRef readCDOClassifierRef()
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOClassifierRefAndResolve

          EClassifier readCDOClassifierRefAndResolve()
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOPackageURI

          java.lang.String readCDOPackageURI()
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOType

          CDOType readCDOType()
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOBranch

          CDOBranch readCDOBranch()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOBranchPoint

          CDOBranchPoint readCDOBranchPoint()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOBranchVersion

          CDOBranchVersion readCDOBranchVersion()
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOChangeSetData

          CDOChangeSetData readCDOChangeSetData()
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOCommitData

          CDOCommitData readCDOCommitData()
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOCommitInfo

          CDOCommitInfo readCDOCommitInfo()
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOID

          CDOID readCDOID()
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOIDReference

          CDOIDReference readCDOIDReference()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.0

    - #### readCDOIDAndVersion

          CDOIDAndVersion readCDOIDAndVersion()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.0

    - #### readCDOIDAndBranch

          CDOIDAndBranch readCDOIDAndBranch()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.0

    - #### readCDORevisionKey

          CDORevisionKey readCDORevisionKey()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDORevision

          CDORevision readCDORevision()
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDORevision

          CDORevision readCDORevision(boolean freeze)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.1

    - #### readCDORevisable

          CDORevisable readCDORevisable()
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.0

    - #### readCDOList

          CDOList readCDOList(EClass owner,
                              EStructuralFeature feature)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOFeatureValue

          java.lang.Object readCDOFeatureValue(EStructuralFeature feature)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDORevisionDelta

          CDORevisionDelta readCDORevisionDelta()
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOFeatureDelta

          CDOFeatureDelta readCDOFeatureDelta(EClass owner)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDORevisionOrPrimitive

          java.lang.Object readCDORevisionOrPrimitive()
                                               throws java.io.IOException

      Read either a CDORevision or a primitive value.
      Throws:
        `java.io.IOException`

    - #### readCDORevisionOrPrimitiveOrClassifier

          java.lang.Object readCDORevisionOrPrimitiveOrClassifier()
                                                           throws java.io.IOException

      Read either a CDORevision, a primitive value or a EClass.
      Throws:
        `java.io.IOException`

    - #### readCDOLockType

          IRWLockManager.LockType readCDOLockType()
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readCDOLockChangeInfo

          CDOLockChangeInfo readCDOLockChangeInfo()
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.1

    - #### readCDOLockOwner

          CDOLockOwner readCDOLockOwner()
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.1

    - #### readCDOLockState

          CDOLockState readCDOLockState()
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.1

    - #### readCDOLockArea

          IDurableLockingManager.LockArea readCDOLockArea()
                                                   throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.1

    - #### getPackageRegistry

          CDOPackageRegistry getPackageRegistry()

      Since:
        4.2

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html